Hello community,

here is the log from the commit of package podman for openSUSE:Factory checked 
in at 2018-02-23 15:29:44
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/podman (Old)
 and      /work/SRC/openSUSE:Factory/.podman.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "podman"

Fri Feb 23 15:29:44 2018 rev:2 rq:579092 version:0.2.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/podman/podman.changes    2018-02-19 
13:00:36.778845105 +0100
+++ /work/SRC/openSUSE:Factory/.podman.new/podman.changes       2018-02-23 
15:29:49.494464409 +0100
@@ -1,0 +2,39 @@
+Thu Feb 22 10:25:14 UTC 2018 - vrothb...@suse.com
+
+- Replace macro by the entire URL in the spec file.
+
+-------------------------------------------------------------------
+Tue Feb 20 14:29:54 UTC 2018 - vrothb...@suse.com
+
+- Add podman-rpmlintrc to ignore "explicit-lib-dependency" warnings. Those are
+  intentional as we must include the libcontainers-* packages.
+  + podman-rpmlintrc
+
+- Update to podman v0.2.1 (change to semantic version scheme):
+  * Run podman inside a podman container
+  * Add FFJSON encoding/decoding for our container structs
+  * images --all developer note
+  * Add podman version
+  * Touch up tutorial location and install reqs
+  * No registries warning
+  * Return imageid from podman pull
+  * Squash logged errors from failed SQL rollbacks
+  * Privileged containers should inherit host devices
+  * Disable default Seccomp profile with privileged containers
+  * Make libpod build on 32-bit systems
+  * Add buckets for all containers and all pods
+  * Containers in a pod can only join namespaces in that pod
+  * Change json to match docker inspect
+  * Honor ENTRYPOINT in image
+  * Fix libpod to use given CGroup parent instead of a hardcoded one
+  * podman logs: fix tailing
+  * Allow removing pods with running containers if --force is given
+  * Match podman inspect output to docker inspect
+  * Touchup podman kill manpage
+  * Change stop signal default to SIGTERM
+  * Add podman search command
+  * sysfs should be mounted rw for privileged
+  * Need to add LISTEN_PID environment variable to conmon command
+  * Add authfile, cert-dir and creds params to build
+
+-------------------------------------------------------------------

Old:
----
  podman-git.c60d8a0671b48ffdeda68895e0b7d97b252d66d9.tar.xz

New:
----
  podman-git.3723cecc33399629408770e44eb363e9ca36fdce.tar.xz
  podman-rpmlintrc

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ podman.spec ++++++
--- /var/tmp/diff_new_pack.IDbrHO/_old  2018-02-23 15:29:50.230437820 +0100
+++ /var/tmp/diff_new_pack.IDbrHO/_new  2018-02-23 15:29:50.230437820 +0100
@@ -17,21 +17,20 @@
 
 
 %define project github.com/projectatomic/libpod
-%define commit c60d8a0671b48ffdeda68895e0b7d97b252d66d9
-# rev_list = git rev-list commit | wc -l
-%define rev_list 375
+%define commit 3723cecc33399629408770e44eb363e9ca36fdce
 # Build with libostree-devel in Tumbleweed, Leap 15 and SLES 15
 %if 0%{?suse_version} >= 1500
 %define with_libostree 1
 %endif
 Name:           podman
-Version:        0+git%{rev_list}
+Version:        0.2.1
 Release:        0
 Summary:        Debugging tool for pods and images
 License:        Apache-2.0
 Group:          System/Management
-URL:            https://%{project}
+Url:            https://github.com/projectatomic/libpod
 Source0:        %{name}-git.%{commit}.tar.xz
+Source1:        %{name}-rpmlintrc
 BuildRequires:  bash-completion
 BuildRequires:  cni
 BuildRequires:  device-mapper-devel
@@ -39,13 +38,13 @@
 BuildRequires:  glib2-devel-static
 BuildRequires:  glibc-devel-static
 BuildRequires:  go-go-md2man
-BuildRequires:  golang(API) >= 1.7
 BuildRequires:  golang-packaging
 BuildRequires:  libapparmor-devel
 BuildRequires:  libassuan-devel
 BuildRequires:  libbtrfs-devel
 BuildRequires:  libgpgme-devel
 BuildRequires:  libseccomp-devel
+BuildRequires:  golang(API) >= 1.7
 Requires:       cni
 Requires:       cri-o
 Requires:       libcontainers-common

++++++ _service ++++++
--- /var/tmp/diff_new_pack.IDbrHO/_old  2018-02-23 15:29:50.262436663 +0100
+++ /var/tmp/diff_new_pack.IDbrHO/_new  2018-02-23 15:29:50.266436519 +0100
@@ -5,7 +5,7 @@
 <param name="scm">git</param>
 <param name="filename">podman</param>
 <param name="versionformat">git.%H</param>
-<param name="revision">c60d8a0671b48ffdeda68895e0b7d97b252d66d9</param>
+<param name="revision">v0.2.1</param>
 </service>
 
 <service name="recompress" mode="disabled">

++++++ podman-git.c60d8a0671b48ffdeda68895e0b7d97b252d66d9.tar.xz -> 
podman-git.3723cecc33399629408770e44eb363e9ca36fdce.tar.xz ++++++
++++ 40700 lines of diff (skipped)

++++++ podman-rpmlintrc ++++++
addFilter (".* W: explicit-lib-dependency libcontainers-common")
addFilter (".* W: explicit-lib-dependency libcontainers-image")
addFilter (".* W: explicit-lib-dependency libcontainers-storage")

Reply via email to